﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Security.Cryptography;
using System.IO;
using ControlLibrary.Properties;

namespace ControlLibrary
{
	public partial class FileHashControl: UserControl
	{
		public FileHashControl()
		{
			InitializeComponent();
		}

        private void btnSelectFile_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {

                 txtFileName.Text = openFileDialog1.FileName;


            }
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void btnGenerate_Click(object sender, EventArgs e)
        {
            var byteData = File.ReadAllBytes(openFileDialog1.FileName);
            var hashAlgorithm = HashAlgorithm.Create(Settings.Default.AlgoType);
            var hashByte = hashAlgorithm.ComputeHash(byteData);
            txtOutputHash.Text = hashByte.ByteToHexString();
        }
	}
}
