﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ControlLibrary;

namespace ControlLibrary
{
    public partial class HashControl : UserControl
    {
        public HashControl()
        {
            InitializeComponent();
        }
        private void CalculateHash(object sender, EventArgs e)
        {
            RadioButton rdo = (RadioButton)sender;

            if (txtInput.Text != "")
            {
                if (rdo.Text == "MD5" && rdo.Checked)
                {
                    HashStrategy st = new HashStrategy(new MD5Hash());
                    txtHash.Text = st.ComputeHash(txtInput.Text);
                }
                if (rdo.Text == "SHA1")
                {
                    HashStrategy st = new HashStrategy(new SHA1());
                    txtHash.Text = st.ComputeHash(txtInput.Text);
                }
                if (rdo.Text == "SHA256")
                {
                    HashStrategy st = new HashStrategy(new SHA256());
                    txtHash.Text = st.ComputeHash(txtInput.Text);
                }
                if (rdo.Text == "SHA512")
                {
                    HashStrategy st = new HashStrategy(new SHA512());
                    txtHash.Text = st.ComputeHash(txtInput.Text);
                }
            }
        }
    }
}
