﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ControlLibrary
{
    public class UnicodeSize
    {

        private static byte[] HEXBYTES = { 
                                             (byte) '0',
                                             (byte) '1',
                                             (byte) '2',
                                             (byte) '3',
                                            (byte) '4', 
                                            (byte) '5', 
                                            (byte) '6', 
                                            (byte) '7', 
                                            (byte) '8',
                                            (byte) '9', 
                                            (byte) 'a',
                                          (byte) 'b',
                                          (byte) 'c', 
                                          (byte) 'd',
                                          (byte) 'e',
                                          (byte) 'f'   
                                         };


        public static int GetUTFSize(String s)
        {

            int len = (s == null) ? 0 : s.Length;
            int l = 0;

            for (int i = 0; i < len; i++)
            {
                int c = s[i];

                if ((c >= 0x0001) && (c <= 0x007F))
                {
                    l++;
                }
                else if (c > 0x07FF)
                {
                    l += 3;
                }
                else
                {
                    l += 2;
                }
            }

            return l;
        }
    }
}
