﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace ControlLibrary
{
    public partial class HexEditorControl : UserControl
    {
        public HexEditorControl()
        {
            InitializeComponent();
        }

        private void btnHexEditor_Click(object sender, EventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();
            if (dialog.ShowDialog() == DialogResult.OK)
            {
                txtHexEditorFileName.Text = dialog.FileName;
                HexView.DumpToRichTextBox(File.ReadAllBytes(dialog.FileName), richHexEditor);

            }
        }
    }
}
