﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ControlLibrary
{
    public partial class NumberConversion : UserControl
    {
        public NumberConversion()
        {
            InitializeComponent();
        }

       

        private void btnConvert_Click(object sender, EventArgs e)
        {
            txtHexa.Text = txtDecimal.Text.ToString().ToInt().ToHex();
            txtBinary.Text = txtDecimal.Text.ToInt().ConvetToBase(2);
            txtOctal.Text = txtDecimal.Text.ToInt().ToOct();
        }

        
        private void btnShift_Click(object sender, EventArgs e)
        {
            try
            {
                txtEqu.Text = (txtNum.Text.ToInt() << txtShiftBy.Text.ToInt()).ToString();
                txtLeftBin.Text = (txtNum.Text.ToInt() << txtShiftBy.Text.ToInt()).ConvetToBase(0);
            }
            catch (FormatException ex)
            {
                MessageBox.Show(ex.Message);
                
            }

        }

        private void btnRight_Click(object sender, EventArgs e)
        {
            try
            {
                txtRightEqu.Text = (txtRightNum.Text.ToInt() >> txtRightShiftBy.Text.ToInt()).ToString();
                txtRightBin.Text = (txtRightNum.Text.ToInt() >> txtRightShiftBy.Text.ToInt()).ConvetToBase(0);
            }
            catch (FormatException ex)
            {

                MessageBox.Show(ex.Message);
            }
        }

       
    }
}
