﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ControlLibrary
{
    public partial class StringToBitControl : UserControl
    {
        public StringToBitControl()
        {
            InitializeComponent();
        }

        private void txtBits_TextChanged(object sender, EventArgs e)
        {

        }
        public string Format(byte[] data)
        {
            //storage for the resulting string
            string result = string.Empty;
            //iterate through the byte[]
            foreach (byte value in data)
            {
                //storage for the individual byte
                string binarybyte = Convert.ToString(value, 2);
                //if the binarybyte is not 8 characters long, its not a proper result
                while (binarybyte.Length < 8)
                {
                    //prepend the value with a 0
                    binarybyte = "0" + binarybyte;
                }
                //append the binarybyte to the result
                result += binarybyte;
            }
            //return the result
            return result;
        }
        private void txtStringInput_TextChanged(object sender, EventArgs e)
        {
            var byteData = Encoding.UTF8.GetBytes(txtStringInput.Text);

            txtBits.Text = Format(byteData);
        }
    }
}
