﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ControlLibrary.Properties;

namespace ControlLibrary
{
    public partial class Options : Form
    {
        public Options()
        {
            InitializeComponent();
        }

        private void btnSaveSettings_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.Save();
            Properties.Settings.Default.Reload();
            

            this.Close();
        }



        private void Options_Load(object sender, EventArgs e)
        {
            comboBox1.DataSource = new AlgorithmType().Values;
            comboBox1.DisplayMember = "Value";
            comboBox1.ValueMember = "Index";

            comboBox1.SelectedIndex = comboBox1.FindStringExact(Properties.Settings.Default.AlgoType);

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            var item = comboBox1.GetItemText(comboBox1.SelectedIndex);
            Settings.Default["AlgoType"] = item;
            
            
        }


    }
}
